Bug 416619 - Plasma crashed in NotificationManager::Utils::processNameFromPid() when closing laptop lid
Summary: Plasma crashed in NotificationManager::Utils::processNameFromPid() when closi...
Status: RESOLVED DUPLICATE of bug 431334
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-crash (show other bugs)
Version: 5.17.4
Platform: Fedora RPMs Linux
: NOR crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-01-22 18:24 UTC by Michal
Modified: 2021-08-02 18:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (99.00 KB, text/plain)
2020-02-06 04:48 UTC, leohearts
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michal 2020-01-22 18:24:23 UTC
Application: plasmashell (5.17.4)

Qt Version: 5.12.5
Frameworks Version: 5.64.0
Operating System: Linux 5.4.12-200.fc31.x86_64 x86_64
Distribution: "Fedora release 31 (Thirty One)"

-- Information about the crash:
- What I was doing when the application crashed:

Probably happened when I closed my laptop lid and set the computer to sleep.

Before kernel 5.4. this closing the laptop lid and waking the pc didnt work at all, now it seems to be working sometimes.

Probably has something to do with my CPU = Ryzen 2500u

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f359095a800 (LWP 5052))]

Thread 25 (Thread 0x7f3519983700 (LWP 7381)):
#0  0x00007f3592ecdccc in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#1  0x00007f3592ece73b in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f359490eda3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f35947113a5 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#7  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f3502ffd700 (LWP 5788)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3594718003 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f3594718091 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQt5Core.so.5
#3  0x00007f35963541b9 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#4  0x00007f359635445d in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#5  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#6  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f35037fe700 (LWP 5787)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f351ac4d700 (LWP 5762)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f359675e550 in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007f35967600e2 in xcb_wait_for_special_event () from /lib64/libxcb.so.1
#3  0x00007f35802dc37e in dri3_wait_for_event_locked () from /lib64/libGLX_mesa.so.0
#4  0x00007f35802dc4e8 in dri3_find_back () from /lib64/libGLX_mesa.so.0
#5  0x00007f35802dd6fe in dri3_get_buffer.isra () from /lib64/libGLX_mesa.so.0
#6  0x00007f35802de64c in loader_dri3_get_buffers () from /lib64/libGLX_mesa.so.0
#7  0x00007f3572b3c4ed in dri2_allocate_textures () from /usr/lib64/dri/radeonsi_dri.so
#8  0x00007f3572b3e52c in dri_st_framebuffer_validate () from /usr/lib64/dri/radeonsi_dri.so
#9  0x00007f3572fd3afa in st_framebuffer_validate () from /usr/lib64/dri/radeonsi_dri.so
#10 0x00007f3572fd4150 in st_manager_validate_framebuffers () from /usr/lib64/dri/radeonsi_dri.so
#11 0x00007f3573187c15 in st_validate_state () from /usr/lib64/dri/radeonsi_dri.so
#12 0x00007f357318c686 in st_Clear () from /usr/lib64/dri/radeonsi_dri.so
#13 0x00007f359630efdc in QSGBatchRenderer::Renderer::renderBatches() () from /lib64/libQt5Quick.so.5
#14 0x00007f3596315482 in QSGBatchRenderer::Renderer::render() () from /lib64/libQt5Quick.so.5
#15 0x00007f35963019b4 in QSGRenderer::renderScene(QSGBindable const&) () from /lib64/libQt5Quick.so.5
#16 0x00007f3596301e63 in QSGRenderer::renderScene(unsigned int) () from /lib64/libQt5Quick.so.5
#17 0x00007f3596344f62 in QSGDefaultRenderContext::renderNextFrame(QSGRenderer*, unsigned int) () from /lib64/libQt5Quick.so.5
#18 0x00007f35963aa6dc in QQuickWindowPrivate::renderSceneGraph(QSize const&) () from /lib64/libQt5Quick.so.5
#19 0x00007f359635061f in QSGRenderThread::syncAndRender() () from /lib64/libQt5Quick.so.5
#20 0x00007f35963543c8 in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#21 0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#22 0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#23 0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f351b44e700 (LWP 5761)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f352e029700 (LWP 5747)):
#0  0x00007f359438244c in read () from /lib64/libc.so.6
#1  0x00007f3592f1653f in g_wakeup_acknowledge () from /lib64/libglib-2.0.so.0
#2  0x00007f3592ece357 in g_main_context_check () from /lib64/libglib-2.0.so.0
#3  0x00007f3592ece7b2 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#4  0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x00007f359490eda3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#6  0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#7  0x00007f35947113a5 in QThread::exec() () from /lib64/libQt5Core.so.5
#8  0x00007f352c571c4c in KCupsConnection::run() () from /lib64/libkcupslib.so
#9  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#10 0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f352f7fe700 (LWP 5612)):
#0  0x00007f3594386a6f in poll () from /lib64/libc.so.6
#1  0x00007f3592ece80e in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f359490eda3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f35947113a5 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f35962c7e8a in QQuickPixmapReader::run() () from /lib64/libQt5Quick.so.5
#7  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f352ffff700 (LWP 5597)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3594718003 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () from /lib64/libQt5Core.so.5
#2  0x00007f3594718091 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQt5Core.so.5
#3  0x00007f35963541b9 in QSGRenderThread::processEventsAndWaitForMore() () from /lib64/libQt5Quick.so.5
#4  0x00007f359635445d in QSGRenderThread::run() () from /lib64/libQt5Quick.so.5
#5  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#6  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f354a7fc700 (LWP 5596)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f354affd700 (LWP 5422)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f354b7fe700 (LWP 5421)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f354bfff700 (LWP 5420)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f3564ff9700 (LWP 5419)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f35657fa700 (LWP 5417)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f3565ffb700 (LWP 5416)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f35667fc700 (LWP 5415)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f3566ffd700 (LWP 5414)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f35677fe700 (LWP 5413)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f3567fff700 (LWP 5412)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f356cba8700 (LWP 5411)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f356dcef700 (LWP 5410)):
#0  0x00007f3593bdcd45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f35732b511b in util_queue_thread_func () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f35732b4d2b in impl_thrd_routine () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f3581651700 (LWP 5381)):
#0  0x00007f3594386a6f in poll () from /lib64/libc.so.6
#1  0x00007f3592ece80e in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f359490eda3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f35947113a5 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f3595fde119 in QQmlThreadPrivate::run() () from /lib64/libQt5Qml.so.5
#7  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f3582a4c700 (LWP 5246)):
#0  0x00007f3594386a6f in poll () from /lib64/libc.so.6
#1  0x00007f3592ece80e in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f359490eda3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f35947113a5 in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f3595123f4a in QDBusConnectionManager::run() () from /lib64/libQt5DBus.so.5
#7  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f3583642700 (LWP 5113)):
#0  0x00007f3594386a6f in poll () from /lib64/libc.so.6
#1  0x00007f359675e38a in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007f359675ffea in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007f358382eac8 in QXcbEventQueue::run() () from /lib64/libQt5XcbQpa.so.5
#4  0x00007f35947124f6 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f3593bd64e2 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f35943916d3 in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f359095a800 (LWP 5052)):
[KCrash Handler]
#6  0x00007f3595969652 in KProcessList::processInfoList() () from /lib64/libKF5CoreAddons.so.5
#7  0x00007f3595953aa3 in KProcessList::processInfo(long long) () from /lib64/libKF5CoreAddons.so.5
#8  0x00007f352d6c565b in NotificationManager::Utils::processNameFromPid(unsigned int) () from /lib64/libnotificationmanager.so.1
#9  0x00007f352d696768 in NotificationManager::ServerPrivate::Notify(QString const&, unsigned int, QString const&, QString const&, QString const&, QStringList const&, QMap<QString, QVariant> const&, int) () from /lib64/libnotificationmanager.so.1
#10 0x00007f352d6ca174 in NotificationsAdaptor::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.0] () from /lib64/libnotificationmanager.so.1
#11 0x00007f352d6ca4b1 in NotificationsAdaptor::qt_metacall(QMetaObject::Call, int, void**) () from /lib64/libnotificationmanager.so.1
#12 0x00007f359513068b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#13 0x00007f3595135997 in QDBusConnectionPrivate::activateCall(QObject*, int, QDBusMessage const&) [clone .part.0] () from /lib64/libQt5DBus.so.5
#14 0x00007f3595135fce in QDBusConnectionPrivate::activateObject(QDBusConnectionPrivate::ObjectTreeNode&, QDBusMessage const&, int) () from /lib64/libQt5DBus.so.5
#15 0x00007f3595138b32 in QDBusActivateObjectEvent::placeMetaCall(QObject*) () from /lib64/libQt5DBus.so.5
#16 0x00007f35948e4d4a in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#17 0x00007f35953afad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#18 0x00007f35953b9150 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#19 0x00007f35948b9df8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#20 0x00007f35948bcd9b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#21 0x00007f359490eff7 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#22 0x00007f3592ece510 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#23 0x00007f3592ece8a0 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#24 0x00007f3592ece943 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#25 0x00007f359490ed85 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#26 0x00007f35948b8cfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#27 0x00007f35948c0a26 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#28 0x000055d92989f73a in main ()
[Inferior 1 (process 5052) detached]

Possible duplicates by query: bug 416032, bug 413556.

Reported using DrKonqi
Comment 1 leohearts 2020-02-06 04:48:47 UTC
Created attachment 125707 [details]
New crash information added by DrKonqi

plasmashell (5.17.5) using Qt 5.13.2

- What I was doing when the application crashed:
I closed my laptop lid and susbend, and after resume plasma crashed.

-- Backtrace (Reduced):
#6  0x00007fc4caadee6c in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#7  0x00007fc4cb550eef in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#8  0x00007fc4cb54d201 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#9  0x00007fc4cb54d71e in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#10 0x00007fc4cb58e113 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
Comment 2 Nate Graham 2021-08-02 18:41:48 UTC

*** This bug has been marked as a duplicate of bug 431334 ***